class meshObject{
  
  StringList pts;
  int graphDim;
    
  meshObject(String[] tStrings){
    
    pts = new StringList();
    
    for (int i=0; i< tStrings.length; i++){
      pts.append(tStrings[i]);
    }
    
    String tempLen[] = split(pts.get(0), ",");
    graphDim = tempLen.length;
        
  }
  
  void displayLines(){
    
    m.stroke(255);
    m.strokeWeight(1/SCALE);
    
    m.beginShape(LINES);
    for (int i=0; i< pts.size(); i++){
      String tempLen[] = split(pts.get(i), ",");
      for (int j=0; j<tempLen.length-2; j++){
        
        float tPtX = i - (pts.size()/2);
        float tPtY = j - (tempLen.length/2);
        
        m.vertex(tPtX,tPtY,0);
        m.vertex(tPtX,tPtY,float(tempLen[j])*2);
       
        
      }
    }
    m.endShape();

    
  }
  
  void displayWaves(){
    
    m.stroke(255);
    m.strokeWeight(1/SCALE);
    
    m.beginShape(LINES);
    for (int i=0; i< pts.size(); i++){
      String tempLen[] = split(pts.get(i), ",");
      for (int j=0; j<tempLen.length-2; j++){
        
        float tPtX = i - (pts.size()/2);
        float tPtY = j - (tempLen.length/2);
        
        m.vertex(tPtX,tPtY,float(tempLen[j]));
        m.vertex(tPtX,tPtY+1,float(tempLen[j+1]));
        
      }
    }
    m.endShape();
    
  }
  
  
}
